Subject: bug#32502: 27.0.50; Tramp; C-g during asynchronous remote find-file kills Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Aug 2018 19:07:37 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 25 Aug 2018 17:52:34 +0200
> 
> > I think we should simply make thread-signal a no-op when it signals
> > the main thread during the time the main thread is waiting for input.
> 
> Perhaps. But I don't understand how this solves the problem (quitting
> several threads at once).

Well, you never want to end the main thread, do you?

But perhaps I don't understand well enough the situation you are
talking about.  Can you describe in more detail when and why do you
need to "quit several threads at once"?